Bug 26612 - Error during web install for it-IT translation
Summary: Error during web install for it-IT translation
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: John Fawcett
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-05 20:06 UTC by John Fawcett
Modified: 2020-11-17 11:50 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.06, 19.11.12, 19.05.17


Attachments
patch (2.69 KB, text/plain)
2020-10-05 20:06 UTC, John Fawcett
Details
patch for 26612 (3.93 KB, patch)
2020-10-12 11:46 UTC, John Fawcett
Details | Diff | Splinter Review
Bug 26612: Error during web install for it-IT translation (4.01 KB, patch)
2020-10-16 00:58 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26612: Error during web install for it-IT translation (4.06 KB, patch)
2020-10-16 08:19 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description John Fawcett 2020-10-05 20:06:32 UTC
Created attachment 111257 [details]
patch

When running the web installer with it-IT translation, the Unimarc version of unimarc_framework.sql gives an error about the record with key 307 violating null constraint. Sorry I did not keep the exact error message. However, the install does not proceed beyond inserting record 306 and the installation must be restarted after correcting the unimarc_framework.sql file. The patch to the file is attached.
Comment 1 Katrin Fischer 2020-10-12 09:16:41 UTC
Hi John, looking at that file it's only a diff and not a real patch file, missing the headers needed to be applied with our tools.

Could you maybe redo it using git format-patch as described here? 
https://wiki.koha-community.org/wiki/Version_Control_Using_Git#Share_with_the_rest_of_the_world

You also might have to set up some configuration in git to put out your name and email correctly:
https://wiki.koha-community.org/wiki/Version_Control_Using_Git#Fill_some_parameters

Please let us know if we can help.
Comment 2 John Fawcett 2020-10-12 11:46:32 UTC
Created attachment 111510 [details] [review]
patch for 26612

resubmitting patch using git format-patch
Comment 3 Jonathan Druart 2020-10-12 12:02:31 UTC
This is ready for testing, adjusting status.
Comment 4 Katrin Fischer 2020-10-16 00:58:18 UTC
Created attachment 111823 [details] [review]
Bug 26612: Error during web install for it-IT translation

Patch changes some of the values in the sql statement that inserts 307a
unimarc row into the marc_subfield_structure which created an SQL error
on installation.

The fields changed are:
- isurl now 0 instead of NULL,
- hidden now -5 instead of NULL,
- seealso empty string instead of NULL,
- link empty string instead of NULL.

These field values are now similar to the ones inserted for 306a or 308a.
The value that caused the SQL error was using NULL for hidden (due to
the NOT NULL constraint in the table definition).

I have tested the install with this change and found no issues.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Julian Maurice 2020-10-16 08:19:05 UTC
Created attachment 111832 [details] [review]
Bug 26612: Error during web install for it-IT translation

Patch changes some of the values in the sql statement that inserts 307a
unimarc row into the marc_subfield_structure which created an SQL error
on installation.

The fields changed are:
- isurl now 0 instead of NULL,
- hidden now -5 instead of NULL,
- seealso empty string instead of NULL,
- link empty string instead of NULL.

These field values are now similar to the ones inserted for 306a or 308a.
The value that caused the SQL error was using NULL for hidden (due to
the NOT NULL constraint in the table definition).

I have tested the install with this change and found no issues.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 6 Katrin Fischer 2020-10-16 10:05:44 UTC
Thx, Julian! And I believe this will be John's first patches in Koha, congrats!
Comment 7 Jonathan Druart 2020-10-25 23:07:29 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 8 Jonathan Druart 2020-10-25 23:17:35 UTC
Congratulations John for your first patch pushed!
Comment 9 Lucas Gass 2020-11-13 18:52:27 UTC
backported to 20.05.x for 20.05.06
Comment 10 Aleisha Amohia 2020-11-17 04:34:39 UTC
backported to 19.11.x for 19.11.12
Comment 11 Victor Grousset/tuxayo 2020-11-17 11:50:11 UTC
Backported to 19.05.x branch for 19.05.17